﻿// JS SDK: https://developers.facebook.com/docs/javascript/reference/v2.8
// Graph API: https://developers.facebook.com/docs/graph-api/reference/


function showUserInfo() {

    FB.api('/me', {
        // https://developers.facebook.com/docs/graph-api/reference/user
        fields: 'first_name,last_name,gender'
    },
    function (info) {
        console.log(info);

        $('#output').text(JSON.stringify(info));
    })
}




function loginUser(callback) {

    FB.getLoginStatus(function (response) {

        console.log(response);

        if (response.status === 'connected') {

            console.log('Logged in.');

            callback();
        }
        else {

            FB.login(function (response) {
                // after login
                console.log(response);

                if (response.status === 'connected') {
                    console.log('Logged in.');
                    callback();
                }
            }, {
                // https://developers.facebook.com/docs/facebook-login/permissions
                scope: 'publish_actions,user_photos,user_posts'
            });

        }
    });
}




$('#login-btn').on('click', function () {
    loginUser(function () {
        showUserInfo();
    });
});